Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenNodeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
                          org.eclipse.gmf.codegen.gmfgen.impl.GenNodeImpl

All Implemented Interfaces:
  EObject, GenChildContainer, GenCommonBase, GenContainerBase, GenNode, InternalEObject, Notifier

Direct Known Subclasses:
  GenChildNodeImpl, GenTopLevelNodeImpl

public abstract class GenNodeImpl
extends GenChildContainerImpl
implements GenNode

An implementation of the model object 'Gen Node'.

The following features are implemented:

- `Model Facet`
- `Labels`
- `Compartments`
- `Graphical Node Edit Policy Class Name`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList` `compartments` The cached value of the '`Compartments`' reference list
`protected static java.lang.String` `GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME_EDEFAULT` The default value of the '`Graphical Node Edit Policy Class Name`' attribute
`protected java.lang.String` `graphicalNodeEditPolicyClassName` The cached value of the '`Graphical Node Edit Policy Class Name`' attribute
`protected EList` `labels` The cached value of the '`Labels`' containment reference list
`protected TypeModelFacet` `modelFacet` The cached value of the '`Model Facet`' containment reference

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
`CANONICAL_EDIT_POLICY_CLASS_NAME_EDEFAULT, canonicalEditPolicyClassName, childNodes`

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
`diagramRunTimeClass, EDIT_PART_CLASS_NAME_EDEFAULT, editPartClassName, elementType, ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT, itemSemanticEditPolicyClassName, NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT, notationViewFactoryClassName, viewmap, VISUAL_ID_EDEFAULT, visualID`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode
`CLASS_NAME_PREFIX, GRAPHICAL_NODE_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenNodeImpl()`

Method Summary
`NotificationChain` `basicSetModelFacet(TypeModelFacet newModelFacet, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getClassNamePrefix()` If the meaning of the 'Class Name Prefix' attribute isn't clear, there really should be more of a description here...
`EList` `getCompartments()`
`GenClass` `getDomainMetaClass()`
`java.lang.String` `getGraphicalNodeEditPolicyClassName()` Returns the value of the 'Graphical Node Edit Policy Class Name' attribute
`java.lang.String` `getGraphicalNodeEditPolicyClassNameGen()`
`java.lang.String` `getGraphicalNodeEditPolicyQualifiedClassName()`
`EList` `getLabels()`
`TypeModelFacet` `getModelFacet()`
`void` `setGraphicalNodeEditPolicyClassName(java.lang.String newGraphicalNodeEditPolicyClassName)`
`void` `setModelFacet(TypeModelFacet newModelFacet)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl
`getCanonicalEditPolicyClassName, getCanonicalEditPolicyClassNameGen, getCanonicalEditPolicyQualifiedClassName, getChildNodes, getContainedNodes, setCanonicalEditPolicyClassName`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl

`asJavaConstantName, basicGetDiagramRunTimeClass, basicSetElementType, basicSetViewmap, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartClassNameGen, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyClassNameGen, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryClassNameGen, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getChildNodes, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getContainedNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### modelFacet

    protected TypeModelFacet modelFacet

  The cached value of the '`Model Facet`' containment reference.

  See Also:
    `GenNodeImpl.getModelFacet()`
  ** Generated **
  Ordered:

### labels

    protected EList labels

  The cached value of the '`Labels`' containment reference list.

  See Also:
    `GenNodeImpl.getLabels()`
  ** Generated **
  Ordered:

### compartments

    protected EList compartments

  The cached value of the '`Compartments`' reference list.

  See Also:
    `GenNodeImpl.getCompartments()`
  ** Generated **
  Ordered:

### GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME_EDEFAULT

  The default value of the '`Graphical Node Edit Policy Class Name`' attribute.

  See Also:
    `GenNodeImpl.getGraphicalNodeEditPolicyClassName()`
  ** Generated **
  Ordered:

### graphicalNodeEditPolicyClassName

    protected java.lang.String graphicalNodeEditPolicyClassName

  The cached value of the '`Graphical Node Edit Policy Class Name`' attribute.

  See Also:
    `GenNodeImpl.getGraphicalNodeEditPolicyClassName()`
  ** Generated **
  Ordered:

Constructor Detail

### GenNodeImpl

    protected GenNodeImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenChildContainerImpl`
  ** Generated **

### getDomainMetaClass

    public GenClass getDomainMetaClass()

  Specified by:
    `getDomainMetaClass` in interface `GenNode`
  ** Generated **
    NOT

### getGraphicalNodeEditPolicyQualifiedClassName

    public java.lang.String getGraphicalNodeEditPolicyQualifiedClassName()

  Specified by:
    `getGraphicalNodeEditPolicyQualifiedClassName` in interface `GenNode`
  ** Generated **
    NOT

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenChildContainerImpl`
  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenChildContainerImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenChildContainerImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenChildContainerImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenChildContainerImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenChildContainerImpl`
  ** Generated **

### getLabels

    public EList getLabels()

  Specified by:
    `getLabels` in interface `GenNode`
  Returns:
    the value of the 'Labels' containment reference list.
  See Also:
    `GMFGenPackage.getGenNode_Labels()`, `GenNodeLabel.getNode()`
  ** Generated **

### getCompartments

    public EList getCompartments()

  Specified by:
    `getCompartments` in interface `GenNode`
  Returns:
    the value of the 'Compartments' reference list.
  See Also:
    `GMFGenPackage.getGenNode_Compartments()`, `GenCompartment.getNode()`
  ** Generated **

### getGraphicalNodeEditPolicyClassNameGen

    public java.lang.String getGraphicalNodeEditPolicyClassNameGen()

  ** Generated **

### getGraphicalNodeEditPolicyClassName

    public java.lang.String getGraphicalNodeEditPolicyClassName()

  Description copied from interface: `GenNode`
  Returns the value of the 'Graphical Node Edit Policy Class Name' attribute.

  If the meaning of the 'Graphical Node Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getGraphicalNodeEditPolicyClassName` in interface `GenNode`
  Returns:
    the value of the 'Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `GenNode.setGraphicalNodeEditPolicyClassName(String)`, `GMFGenPackage.getGenNode_GraphicalNodeEditPolicyClassName()`

### setGraphicalNodeEditPolicyClassName

    public void setGraphicalNodeEditPolicyClassName(java.lang.String newGraphicalNodeEditPolicyClassName)

  Specified by:
    `setGraphicalNodeEditPolicyClassName` in interface `GenNode`
  Parameters:
    `newGraphicalNodeEditPolicyClassName` - the new value of the 'Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `GenNode.getGraphicalNodeEditPolicyClassName()`
  ** Generated **

### getModelFacet

    public TypeModelFacet getModelFacet()

  Specified by:
    `getModelFacet` in interface `GenNode`
  Returns:
    the value of the 'Model Facet' containment reference.
  See Also:
    `GenNode.setModelFacet(TypeModelFacet)`, `GMFGenPackage.getGenNode_ModelFacet()`
  ** Generated **

### basicSetModelFacet

    public NotificationChain basicSetModelFacet(TypeModelFacet newModelFacet,
                                                NotificationChain msgs)

  ** Generated **

### setModelFacet

    public void setModelFacet(TypeModelFacet newModelFacet)

  Specified by:
    `setModelFacet` in interface `GenNode`
  Parameters:
    `newModelFacet` - the new value of the 'Model Facet' containment reference.
  See Also:
    `GenNode.getModelFacet()`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenChildContainerImpl`
  ** Generated **

### getClassNamePrefix

    public java.lang.String getClassNamePrefix()

  Description copied from interface: `GenCommonBase`

  If the meaning of the 'Class Name Prefix' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getClassNamePrefix` in interface `GenCommonBase`
  Specified by:
    `getClassNamePrefix` in class `GenCommonBaseImpl`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.